#!/bin/bash

if [ -f /sys/kernel/security/kysec/status ];then
	if [ -f /etc/kysec/kysec_s ];then
		kstatus=`cat /sys/kernel/security/kysec/status`
		if [ $kstatus -eq 0 ];then
			echo "kysec 当前状态为disable,如需恢复建议重启系统！"
		else

			echo "2" > /sys/kernel/security/kysec/status
			if [ `echo $?` -ne 0 ];then
				echo "kysec状态恢复失败"
				echo "2" > /sys/kernel/security/kysec/status
			else
				rm /etc/kysec/kysec_s
				if [ `echo $?` -ne 0 ];then
					echo "删除/etc/kysec/kysec_s文件失败"
					rm /etc/kysec/kysec_s
				fi
			fi
		fi
	fi
fi

if [ -f  /sys/kernel/security/kysec/iptables ];then
	if [ -f /etc/kysec/iptable_s ];then
		echo "1" > /sys/kernel/security/kysec/iptables
		if [ `echo $?` -ne 0 ];then
			echo "kysec状态恢复失败"
			echo "1" > /sys/kernel/security/kysec/iptables
		else
			rm /etc/kysec/iptable_s
			if [ `echo $?` -ne 0 ];then
				echo "删除/etc/kysec/iptable_s文件失败"
				rm /etc/kysec/iptable_s
			fi
		fi
	fi
fi

if [ -f  /sys/kernel/security/kysec/ppro ];then
	if [ -f /etc/kysec/ppro_s ];then
		echo "1" > /sys/kernel/security/kysec/ppro
		if [ `echo $?` -ne 0 ];then
			echo "kysec状态恢复失败"
			echo "1" > /sys/kernel/security/kysec/ppro
		else
			rm /etc/kysec/ppro_s
			if [ `echo $?` -ne 0 ];then
				echo "删除/etc/kysec/ppro_s文件失败"
				rm /etc/kysec/ppro_s
			fi
		fi
	fi
fi
[ ! -f /etc/kysec/tmp/.label_inited ] && echo "1" > /etc/kysec/tmp/.label_inited

# 定义状态文件（标记预处理是否完成）
STATUS_FILE="/var/lib/softwarectrl_prepared.status"

# 检查预处理是否完成
if [ ! -f "$STATUS_FILE" ]; then
  echo "未检测到升级前预处理，跳过恢复（可能为异常场景）"
  exit 1
fi

# 执行升级后恢复
echo "开始升级后恢复"
# mv /usr/share/dbus-1/system-services/com.kylin.kysdk.applicationssec.service.bak \
#    /usr/share/dbus-1/system-services/com.kylin.kysdk.applicationssec.servic
# systemctl enable dbus-com.kylin.kysdk.applicationssec.service
# systemctl restart dbus-com.kylin.kysdk.applicationssec.service
sed -i 's/bw_status="0"/bw_status="2"/g' /etc/dpkg/udeblist.xml

# 清除预处理标记
rm -f "$STATUS_FILE"
echo "恢复完成，状态文件已清除"